<?php
$r = "../../";
require_once($r."inc/funciones.php");

// iniciar sesión si no está iniciada
if(session_status() === PHP_SESSION_NONE){
    session_start();
}

$mysqli = connectDB($r);
$iduser = $_SESSION['userid'];

$code = $_POST["code"];
$code = substr("000$code", -6, 6);

$arraypgo = array_sum($_POST['moton']);
$pago = $_POST["pago"];

if($arraypgo < $pago){
    exit(header("Location:".$r."pedido/cobrar.php?error=Error al pagar el Pedido de N°".$code));
}else{

    $mysqli->query("UPDATE z_pedidos SET idcobro='$iduser', pago='2', estado='3', fechacobro=NOW() WHERE codigopedido='$code'");
    $mysqli->query("INSERT INTO z_caja (iduser, codigopedido, pago, estado) VALUES ('$iduser','$code','$pago','2')");

    if(isset($_POST['medios']) && is_array($_POST['medios'])){
        foreach($_POST['medios'] as $key => $valor){
            $monto = isset($_POST['moton'][$key]) ? $_POST['moton'][$key] : 0;
            if($monto > 0){
                $mysqli->query("INSERT INTO z_pagos (`idpedido`, `idmedio`, `monto`) VALUES ('$code','$valor','$monto')");
            }
        }
    }

    exit(header("Location:".$r."pedido/cobrar.php?msn=El Pedido de N°".$code." Fue Pagado"));
}
?>
